Présentation générale

Secure4U est un outil qui permet à l'administrateur système d'intégrer la stratégie de sécurité de l'entreprise sur chaque station de travail, en lui donnant le contrôle des droits d'accès de chaque application connue ou inconnue.

En raison du développement rapide et de l'utilisation sans cesse croissante de la messagerie électronique et d'Internet, de nombreuses applications (ActiveX, Java, chevaux de Troie, etc.) sont aujourd'hui diffusées dans le monde entier par des utilisateurs semblant au-dessus de tout soupçon, sans qu'aucun contrôle ne soit exercé par l'administrateur système.

La simple évocation de "Love letter", "WinExplorer.zip" ou "Back Orifice" suffit à prendre conscience de la réelle menace que cela représente.

La plupart des sites Internet les plus actifs aujourd'hui utilisent du contenu actif pour renforcer leur présence. Le contenu actif consiste en des extensions permettant de créer des fonctions supplémentaires dans les navigateurs Web (par exemple des menus, des feuilles de calcul ou des animations). Pour créer du contenu actif , de nouveaux types d'exécutables (ActiveX , Java ) sont utilisés au format binaire. Cette évolution fait apparaître de nouveaux risques en matière de sécurité. Si votre navigateur Web trouve une référence dans la page que vous consultez, il télécharge automatiquement le contenu actif (souvent à partir de sources inconnues ou non reconnues) et exécute le code correspondant. En raison d'une large diffusion et de l'utilisation des e-mails, de nombreuses applications inconnues ou non reconnues sont diffusées dans le monde entier et exécutées en toute confiance par des utilisateurs, constituant ainsi une réelle menace pour leurs ordinateurs et les réseaux d'entreprise.

Le contenu inconnu que reçoit l'entreprise peut comporter du code nuisible ou hostile , qui peut endommager les ressources de votre ordinateur et/ou de votre réseau. Il peut également analyser, copier et envoyer des fichiers ou des informations, et même rendre votre ordinateur inutilisable pour votre travail quotidien. Secure4U peut vous protéger proactivement contre le contenu actif (ActiveX, Java, Java Script ou VB Script) et tout autre code mobile (tout exécutable inconnu) introduits sur votre système.

Les pare-feux classiques qui servent de passerelles vers le réseau et les antivirus ne peuvent pas vous protéger proactivement contre ces menaces .

Les fonctionnalités de Secure4U

Secure4U est la première solution de sécurité disponible sur le marché permettant de protéger les stations de travail et les réseaux contre les attaques de tout type de contenu actif (ActiveX , Java et autres codes exécutables) reçu par Internet ou tout autre domaine .

Secure4U vous permet de créer un environnement fermé (sandbox) autour de toute application (connue ou inconnue) et de restreindre l'accès de celle-ci aux ressources de votre ordinateur. Dans cet environnement fermé, tout code peut être exécuté et accéder aux appels de l'application aux ressources du système. Les pilotes, la base de données du registre (toutes les configurations) et le système de fichiers sont protégés et surveillés en permanence afin de préserver la confidentialité et l'intégrité de votre système.

Lors de l'installation de Secure4U, le programme analyse la station de travail pour rechercher les applications déjà installées ou connues. Il installe des sandbox par défaut préconfigurés autour des navigateurs Web les plus courants (Netscape et Internet Explorer) et des clients de messagerie (Outlook, Outlook Express et Lotus Notes), ainsi qu'une zone restreinte pour les applications inconnues (groupe d'applications très restreintes).

Secure4U contrôle les activités des applications et ne fonde pas son dispositif de sécurité sur la comparaison avec une base de données de références d'applets hostiles. Il vérifie toutes les actions et les accès aux ressources, mais seules les actions suspectes ou non souhaitées sont bloquées. Ainsi, il est le premier vérificateur de comportement disponible sur le marché, qui non seulement protège contre les attaques intentionnellement hostiles, mais aussi contre les applications involontairement défectueuses. Toute autre application présente au sein de votre environnement utilisateur peut être exécutée et accéder aux ressources sans être restreinte par Secure4U. Vous pouvez afficher les composants installés et exécutés sur votre ordinateur, savoir d'où ils proviennent, surveiller ce que fait l'application, et savoir à quelles ressources elle accède.

Secure4U crée un périmètre de sécurité dans une station de travail Windows, le place de façon invisible sur votre système d'exploitation, et s'intègre dans les solutions de sécurité réseau existantes . Grâce à cette sécurité, il offre une protection contre les failles des dispositifs de sécurité du navigateur Web et de la machine virtuelle Java.


Protection

Secure4U protège les ressources suivantes de votre ordinateur contre les accès et modifications indésirables et suspects :

Le registre

Les systèmes d'exploitation Windows enregistrent les configurations du système et des applications dans la base de données du registre. Si un applet hostile modifie les paramètres présents dans la base de données du registre, il peut rendre les applications ou même l'ensemble de votre système inutilisables. En modifiant la base de données du registre, un applet hostile peut aussi avoir un accès non souhaité aux ressources de votre ordinateur.

Accès aux services

Secure4U surveille tout accès aux services du système provenant des applications restreintes. En modifiant les paramètres de certains services (en arrêtant certains services ou en y accédant), un applet hostile peut rendre votre ordinateur inutilisable ou avoir un accès non souhaité aux ressources et aux données.

Appels dangereux au système

Une partie de l'interface fonctionnelle du système est destinée uniquement à l'usage interne de Windows ou à une utilisation particulière de certaines applications. Cette utilisation n'a pas lieu d'être dans des circonstances normales. L'accès aux périphériques dangereux est également protégé. Secure4U limite la disponibilité de ces points d'entrée dans le système pour les applications restreintes.

Accès au système de fichiers

En accédant au système de fichiers, un applet a accès à toutes vos données et à tous vos fichiers. Secure4U peut limiter l'accès au système de fichiers en fonction de sa configuration . Dans un scénario classique, vous pourriez par exemple vouloir créer un répertoire pour sauvegarder les informations reçues via Internet tout en verrouillant l'accès de votre navigateur Web à toutes les autres zones.

Accès et surveillance des ports et des adresses IP

Secure4U peut surveiller l'accès des applications restreintes aux ports IP . En utilisant certains ports IP, un applet peut envoyer sur Internet des informations par e-mail ou se connecter avec un autre protocole.

Contrôle de la génération dynamique de processus

Secure4U peut interdire le démarrage d'une application par une application restreinte ou forcer l'héritage de l'environnement sécurisé d'une application restreinte, prévenant ainsi l'utilisation à mauvais escient des applications fiables par du code hostile.

Filtrage des contenus, virus

Secure4U vous permet de gérer et de protéger votre ordinateur contre tous les applets ActiveX et Java installés. Il assure la protection de votre ordinateur lors de l'apparition et de l'activation d'un nouvel applet. Dans le cas d'ActiveX, vous pouvez savoir qui a créé l'applet, si les propriétés de l'applet sont correctement définies, depuis quel site il a été téléchargé, et comment il se connecte à votre système. Tout ActiveX installé peut également être supprimé.

Analyse antivirus

Si vous avez installé un antivirus pris en charge par Secure4U, tous les fichiers CAB reçus par le biais de votre navigateur Web sont ouverts et analysés avant d'être enregistrés sur votre ordinateur. Pour effectuer l'analyse antivirus proprement dite, Secure4U appelle un antivirus installé sur votre ordinateur via une API ou une ligne de commande. Plusieurs antivirus parmi les plus courants sont pris en charge. De plus, des antivirus personnalisés peuvent être utilisés avec des paramètres de ligne de commande. Même si votre antivirus ne prend pas en charge les lignes de commande, cette fonctionnalité sera disponible grâce à Secure4U.

Gestion du cache

Le gestionnaire de cache est entièrement intégré dans l'environnement Secure4U. Il permet de supprimer automatiquement les informations de session présentes dans le cache du navigateur.

Gestion des cookies

Un gestionnaire de cookies est également fourni. Il permet de verrouiller, de supprimer et de gérer tous les cookies de tous les utilisateurs ou profils sur un ordinateur, et de limiter le téléchargement des cookies par site Web/URL.

Filtrage des contenus WWW et des e-mails

Pour renforcer la sécurité, il est possible de verrouiller les pages Web contenant des informations non souhaitées (par exemple du contenu actif) ou les e-mails contenant des informations confidentielles.


Outil d'administration

L'outil d'administration Secure4U vous permet de configurer Secure4U. Il analyse votre système pour rechercher les applications déjà présentes et il installe les paramètres par défaut des navigateurs Web et des clients de messagerie les plus courants. Une installation classique ne prend que quelques minutes.

L'outil d'administration est l'interface qui permet à l'administrateur de configurer de façon interactive toutes les parties et tous les composants de Secure4U. Il est divisé en deux sections : Sandbox et pare-feu et Filtrage du contenu. Sandbox et pare-feu est également divisé en mode Facile et mode Avancé.


Les menus

Les menus permettent de configurer certains paramètres importants, notamment la configuration à distance, l'enregistrement et la restauration des modifications dans une configuration, l'activation et la désactivation de Secure4U ou de ses composants, les règles d'audit et le mode de configuration. Certaines commandes sont facilement accessibles à partir de la barre d'outils.

Les menus actuellement disponibles dans l'outil d'administration sont les suivants :

  • Le menu Fichier
  • Le menu Edition
  • Le menu Affichage
  • Le menu Aide


Le menu Fichier

Les commandes disponibles dans le menu Fichier sont les suivantes :

  • Enregistrer la configuration locale

  • Restaurer la configuration locale

  • Restaurer la configuration par défaut

  • Changer le mot de passe

  • Quitter

Enregistrer et restaurer la configuration locale

Vous pouvez enregistrer votre configuration en cours ou d'autres configurations et les restaurer ultérieurement en cliquant sur les commandes Enregistrer la configuration locale et Restaurer la configuration locale du menu qui affiche alors la boîte de dialogue du gestionnaire de configuration :

Tapez le nom de la configuration que vous souhaitez enregistrer dans le champ Intitulé de la configuration. Le bouton Enregistrer est alors activé et vous pouvez enregistrer la configuration. Pour revenir à cette configuration, sélectionnez-la dans la boîte de dialogue et cliquez sur le bouton Restaurer.

Restaurer la configuration par défaut

Cette commande permet de rétablir la configuration système à son état d'origine au moment de l'installation.

Changer le mot de passe

Vous pouvez verrouiller l'accès aux outils d'administration de configuration en choisissant votre propre mot de passe. Lorsque vous tapez le mot de passe, laissez la colonne Ancien mot de passe vide et renseignez les autres champs comme il convient. Si vous souhaitez déverrouiller l'accès, tapez le mot de passe dans la colonne Ancien mot de passe et laissez les autres champs vides.

Quitter

Cette commande permet de terminer votre session d'administrateur et d'enregistrer toutes les modifications apportées à une configuration.


Le menu Edition

Les commandes disponibles dans le menu Edition sont les suivantes :

  • Activer Secure4U

  • Désactiver Secure4U

  • Créer un groupe d'applications

  • Audit

  • Paramètres d'exécution

  • Options

Activer/Désactiver Secure4U

Vous pouvez activer ou désactiver Secure4U en choisissant Activer Secure4U ou Désactiver Secure4U dans le menu Edition. La désactivation entraîne l'arrêt de toute prévention et surveillance. L'activation permet la prévention et la surveillance conformément aux paramètres personnalisés.

Remarque : lorsque vous désactivez Secure4U, cette opération prend effet immédiatement. Lorsque vous l'activez, en revanche, vous devez redémarrer les applications restreintes pour que cette modification prenne effet.

Symbole | Etat | Remarque
 | Vert | Le programme est en mode normal et il est activé.
 | Rouge | Ce symbole indique une connexion active à Internet et l'activation de Secure4U.
 | Gris | Si l'icône de la barre d'état système apparaît en gris, cela signifie que Secure4U est désactivé.

Créer un groupe d'applications

Reportez-vous au chapitre Mode Avancé / Création d'un groupe d'applications .

Audit

Dans le premier volet des Paramètres de l'audit, vous pouvez spécifier un répertoire pour le fichier journal.

Fréquence d'écriture dans le journal : le nombre indiqué correspond à la quantité d'événements surveillés mis en cache avant l'écriture.

Niveaux d'audit

Vous pouvez ici redéfinir les niveaux d'audit et les actions correspondantes.

Choisissez un nom pour le niveau d'audit. Attribuez-lui ensuite les différentes actions souhaitées. Certains niveaux d'audit sont identiques, mais vous pouvez les redéfinir.

Remarque : par défaut, un nombre plus élevé entraîne un audit plus important.

Il est impossible de restaurer l'état par défaut. Celui-ci est indiqué ci-dessous.

Les états par défaut sont les suivants :

N° | Nom | Description
0 | Ignorer | Pas d'audit
1 | Fenêtre Activité | Fenêtre Activité
2 | Fenêtre Activité | Fenêtre Activité
3 | Enregistrer dans un fichier | Fenêtre Activité, Journalisation locale
4 | Enregistrer dans un fichier | Fenêtre Activité, Journalisation locale
5 | Enregistrer dans un fichier | Fenêtre Activité, Fenêtre d'activité toujours visible, Journalisation locale
6 | Alerte locale | Fenêtre Activité, Journalisation locale, Boîte de messages pour l'utilisateur
7-15 | Enregistrer dans un fichier | Voir Enregistrer dans un fichier

Signification

  • Fenêtre Activité : les messages d'audit sont affichés dans la fenêtre d'activité.
  • Fenêtre d'activité toujours visible : avec cette action, la fenêtre d'activité est affichée en haut de toutes les fenêtres.
  • Journalisation locale : écriture des événements dans un fichier particulier.
  • Boîte de messages pour l'utilisateur : une boîte de messages est affichée sur l'ordinateur local.

Toutes les modifications prennent effet immédiatement.

Analyseur d'audit Secure4U

Le format utilisé pour la journalisation locale est le format XML. Internet Explorer version 5.0 ou ultérieure et toutes les autres applications prenant en charge le format XML peuvent afficher les fichiers créés. Un fichier script XML (all.xml) est également disponible dans le répertoire de journalisation pour le filtrage et l'analyse des journaux créés.

Paramètres d'exécution

Il est possible de désactiver (par exemple afin d'améliorer les performances) des blocs fonctionnels dans les groupes d'applications appropriés.

Si certaines options de sécurité ne sont pas nécessaires, vous pouvez les désactiver. Dans ce cas, nous vous recommandons la prudence, car vous risquez de désactiver des parties vitales de Secure4U pour les groupes restreints. Lorsqu'un élément des paramètres d'exécution est désactivé, la fonctionnalité correspondante dans l'outil d'administration est également désactivée.

Moteur mode kernel
  • Garde du registre : il protège l'accès aux informations du registre.
  • Garde de fichiers : il protège l'accès au système de fichiers.
  • Garde de génération dynamique de processus : il protège l'application générée (appelée) par une autre application.
  • Garde TCP/IP : il protège les ports TCP/IP et les adresses IP.
Système - moteur mode utilisateur

Reportez-vous au chapitre Divers sous Système .

Système - moteur mode kernel
  • Garde d'accès à un périphérique dangereux : empêche les opérations indiquées ci-dessous.
    • Démonter un volume
    • Verrouiller un volume
    • Définir la compression
    • Déverrouiller un volume
    • Ejecter le disque amovible
    • Formater les pistes du disque
    • Charger le disque amovible
    • Supprimer le disque amovible
    • Réaffecter les blocs de disque
    • Définir la disposition des lecteurs de disque
    • Définir les informations de partition du disque
    • Vérifier le disque
    • Serial lsrmst insert
  • Garde de ports E/S : il garde l'accès LPT et COM.
Filtrage HTTP

Reportez-vous au chapitre Filtrage de contenu .

Remarque : les options Tout ou Aucun ne peuvent être sélectionnées que pour le filtrage HTTP. Vous ne pouvez pas définir individuellement les différents éléments.

Options

Génération dynamique de processus

Afficher une boîte de dialogue lorsqu'un processus inconnu est exécuté : lorsque vous activez cette option, l'utilisateur peut déplacer une nouvelle application vers un groupe d'applications sans avoir à exécuter l'outil d'administration. Au premier démarrage d'une nouvelle application, Secure4U affiche une boîte de dialogue à l'intention de l'utilisateur pour qu'il choisisse le groupe d'applications auquel l'application doit être affectée. Il est possible de définir pour quels groupes d'applications l'utilisateur dispose du droit d'affectation d'une nouvelle application inconnue.

Traiter les applications réseau comme étant non restreintes : toutes les applications exécutées à partir d'autres ordinateurs sur un réseau local sont traitées comme non restreintes.

Intégration du shell

Intégrer le menu Secure4U dans le menu contextuel de Windows Explorer pour les fichiers exécutables : cette option permet de déplacer les exécutables parmi les groupes d'applications Secure4U dans Windows Explorer sans avoir à exécuter l'outil d'administration. Lorsque vous cliquez avec le bouton droit de la souris sur un fichier exécutable, un menu contextuel apparaît. Dans le sous-menu Secure4U, vous pouvez choisir le nouveau groupe de sécurité pour cette application.


Le menu Affichage

Vous pouvez utiliser les commandes de ce menu pour personnaliser l'interface administrateur. Les commandes disponibles sont les suivantes :

  • Barre d'outils

  • Barre d'état

  • Mode Facile

  • Mode Avancé

  • Actualiser

Ces commandes permettent d'afficher ou de masquer la barre d'outils et la barre d'état, de basculer entre les modes Facile et Avancé et d'actualiser les données affichées.

Barre d'outils

La barre d'outils comporte quatre icônes. La première permet de créer un groupe d'applications. La seconde permet d'activer ou de désactiver Secure4U. La troisième permet de faire basculer l'outil d'administration entre le mode Facile et le mode Avancé. La quatrième permet d'afficher la boîte A propos de l'outil d'administration.

Barre d'état

La barre d'état est visible dans la partie inférieure gauche de la fenêtre et affiche l'état de chaque commande proposée dans les menus, ainsi que l'état de Secure4U et les paramètres du clavier (Verr. Maj., Verr. Num. et Arrêt défil.).

Mode Facile

Utilisez cette commande pour faire basculer l'outil d'administration en mode Facile.

Mode Avancé

Utilisez cette commande pour faire basculer l'outil d'administration en mode Avancé.

Actualiser

Utilisez cette commande pour mettre à jour l'affichage en cours.


Le menu Aide

Les commandes disponibles dans le menu Aide sont les suivantes :

  • Rubriques d'aide

  • Secure4U sur le Web

  • A propos de l'outil d'administration

Rubriques d'aide

Vous pouvez rechercher une rubrique d'aide dans l'aide en ligne. Pour obtenir davantage d'aide, vous pouvez consulter ce Manuel de l'utilisateur et les FAQ de notre site Web, ou nous contacter directement à l'adresse support@Secure4U.com. Reportez-vous à la section Contacts pour plus de détails.

Secure4U sur le Web

Cette commande comporte deux hyperliens, l'un renvoyant à Page d'accueil de Secure4U et l'autre à FAQ de Secure4U.

A propos de

Cette commande affiche la version de Secure4U.


Mode Facile

Deux modes de configuration sont disponibles : le mode Facile et le mode Avancé. Vous pouvez facilement passer de l'un à l'autre en choisissant la commande correspondante dans le menu Affichage ou en cliquant sur l'icône de la barre d'outils représentant un marteau (bouton bascule).

Le mode Facile constitue pour les composants Sandbox et pare-feu une interface qui permet de modifier facilement le niveau de sécurité des applications préconfigurées. Cependant, la simplicité de cet outil peut s'avérer insuffisante pour répondre à certains besoins. Un mode Avancé est donc également disponible.

La fenêtre d'administration en mode Facile comporte trois groupes d'administration affichés sur le côté gauche:

  • Applications préconfigurées

  • Groupes d'utilisateurs

  • Répertoires


Applications préconfigurées

Ce composant de Secure4U permet de modifier le niveau de sécurité de certaines applications prédéfinies : Outlook, Outlook Express, Internet Explorer, Netscape Communicator et Lotus Notes. Vous pouvez choisir pour chacune des applications préconfigurées l'un des niveaux de sécurité indiqués ci-dessous.

Niveaux de sécurité

Elevée

Il s'agit du niveau de sécurité le plus élevé offrant la meilleure protection.
La Génération dynamique sécurisée est utilisée. Lorsque vous utilisez la Génération dynamique sécurisée, l'application non restreinte hérite de l'environnement de sécurité des applications restreintes. En conséquence, l'application générée peut ne pas avoir accès à toutes les ressources nécessaires.

L'accès n'est autorisé qu'à un nombre très limité de répertoires (par ex. pour les téléchargements) et de clés de registre.

Les ports IP sont très restreints.

Remarque : cela peut poser un problème lors du téléchargement d'éléments depuis certains sites Web ou lors de l'entrée via un pare-feu. Dans ce cas, baissez temporairement le niveau de sécurité. Assurez-vous toujours que vous téléchargez uniquement des applications fiables !

Moyenne

Lorsque qu'une application non restreinte est générée, elle n'hérite pas de l'environnement de sécurité de l'application qui la génère. L'accès en lecture aux fichiers est autorisé, sauf dans les répertoires confidentiels. L'accès en écriture est autorisé sur un nombre très limité de répertoires (par exemple pour les téléchargements ).
L'accès en lecture sur le registre est autorisé sur pratiquement tous les éléments, à l'exception de quelques uns.
Les Ports IP sont moins restreints.

Basse

Accès total aux fichiers sauf aux répertoires confidentiels, aux répertoires à risque et aux répertoires système.
Accès total au registre sauf pour quelques éléments qui sont en lecture seule.

Aucune

Aucune restriction n'est affectée à l'application. Il est recommandé de n'utiliser ce niveau de sécurité que provisoirement.

Pour appliquer les nouveaux paramètres, cliquez sur le bouton Changer le niveau de sécurité.

La protection correspondant à chaque niveau dépend du paramétrage d'une base de données prédéfinie. Pour modifier les droits d'accès d'une application préconfigurée, vous devez passer en mode Avancé.


Groupes d'applications

Lorsque vous cliquez sur Groupes d'applications dans le volet gauche, la fenêtre ci-dessous s'affiche. Vous pouvez y définir le niveau de sécurité de toute application connue. Les niveaux de sécurité sont identiques à ceux décrits dans les applications préconfigurées.

Remarque : les niveaux de sécurité étant définis de façon fixe, il est possible qu'une application ne fonctionne pas correctement lorsqu'elle est restreinte. Si vous souhaitez accorder des droits d'accès différents à l'application, vous pouvez effectuer les modifications nécessaires dans le mode Avancé.

Volet central

Le volet central contient quatre groupes d'applications. Chacun d'eux représente un niveau de sécurité préconfiguré :

  • Applications non restreintes

  • Applications peu restreintes

  • Applications moyennement restreintes

  • Applications très restreintes

Lors de l'installation, Secure4U analyse les applications installées sur l'ordinateur (à l'exception des applications préconfigurées) et les place dans le groupe d'applications non restreintes.
Lorsque vous cliquez avec le bouton droit de la souris sur le groupe Applications non restreintes, un menu contextuel s'affiche, qui permet d'Ajouter tous les exécutables présents sur les lecteurs locaux, d'Ajouter une seule application ou d'Ajouter un sous-arbre (tous les exécutables du répertoire) au groupe. Toutes les applications inconnues ajoutées dans l'ordinateur après l'installation de Secure4U (par exemple les exécutables téléchargés depuis Internet ou reçus par e-mail) sont automatiquement placées dans le groupe d'applications très restreintes. Elles peuvent ensuite être déplacées dans tout niveau de sécurité indiqué ci-dessus.

Lorsque vous cliquez avec le bouton droit de la souris sur le groupe Applications très restreintes, vous pouvez Rechercher les applications inconnues sur tous les lecteurs locaux.

Volet supérieur droit

Ce volet contient l'arborescence des répertoires et n'est affiché que si le groupe d'Applications non restreintes est sélectionné.

Lorsque vous cliquez avec le bouton droit de la souris sur un répertoire sélectionné, un menu contextuel s'affiche. Ce menu vous permet d'Ajouter toutes les applications du répertoire sélectionné, d'Ajouter toutes les applications du sous-arbre ou de Supprimer toutes les applications du répertoire ou du sous-arbre sélectionné, et d'Ajouter une seule application.

Volet inférieur

Dans le volet inférieur, vous pouvez voir toutes les applications d'un groupe ou d'un répertoire sélectionné.

Cliquez avec le bouton droit de la souris sur une application pour la déplacer dans un autre groupe du menu contextuel qui s'affiche. Vous pouvez également faire glisser-déplacer l'application sélectionnée vers le groupe souhaité se trouvant dans le volet central.


Répertoires

Ce composant vous permet de spécifier le répertoire auquel une application restreinte peut avoir accès. Vous pouvez sélectionner les répertoires (non protégés) à utiliser pour les données provenant d'Internet. Vous pouvez également spécifier les répertoires (confidentiels) que vous souhaitez cacher aux applications restreintes. Lorsque vous cliquez sur Répertoires dans le volet gauche, la fenêtre suivante s'affiche :

Volet | Accès | Remarque
Non protégés | Toutes les applications | Toutes les applications présentes sur la station de travail ont accès à ces répertoires. Conseil : ajoutez à ces répertoires uniquement des dossiers ne contenant pas de données importantes (par exemple des dossiers destinés à un usage temporaire).
Confidentiels | Applications non restreintes uniquement | Seules les applications non restreintes ont accès à ces répertoires.

L'accès à tous les autres répertoires dépend du niveau de sécurité (de Basse à Aucune) que vous avez choisi pour les applications restreintes dans la base de données prédéfinie.

Remarque : ces répertoires ont été définis lors du processus d'installation. Il est possible d'ajouter d'autres dossiers aux répertoires non protégés ou confidentiels.

Ajout et suppression de répertoires

Vous pouvez ajouter un dossier à un répertoire non protégé ou confidentiel en cliquant sur Ajouter dans le coin supérieur droit du volet de répertoire correspondant. Pour supprimer le répertoire du volet ainsi que tous les fichiers qu'il contient, sélectionnez-le et cliquez sur Supprimer.

Astuce Si des données présentes dans un répertoire confidentiel doivent pouvoir être accessibles à une application restreinte fiable, il est préférable d'abord de déplacer l'application vers le groupe Applications non restreintes, puis d'accéder au dossier, plutôt que de déplacer le dossier des répertoires confidentiels aux répertoires non protégés. Ce faisant, vous éviterez que toutes les applications puissent avoir accès à ce dossier.


Mode Avancé

Le mode Avancé propose une interface dans laquelle vous pouvez configurer les droits d'accès de toutes les applications présentes sur la station de travail.

Lorsque vous choisissez Mode avancé dans le menu Affichage ou que vous cliquez sur l'icône représentant un marteau (bouton bascule) dans la barre d'outils, la fenêtre suivante s'affiche :

La fenêtre Sandbox et pare-feu en mode Avancé comporte sept groupes d'administration affichés dans le volet gauche :

  • Groupes d'applications
  • Système
  • Sécurité des fichiers
  • Sécurité du registre
  • Pare-feu
  • Analyse antivirus
  • Mode Apprentissage


Groupes d'applications

Les groupes d'applications ont la même configuration que les groupes d'applications dans le Mode Facile. En plus des niveaux de sécurité prédéfinis, vous pouvez créer des groupes séparés pour toutes les applications restreintes.

Les groupes d'applications configurées peuvent être divisés en différentes catégories. Les groupes de la première catégorie sont dotés de divers niveaux de sécurité (applications non restreintes, peu restreintes, moyennement restreintes, très restreintes).

Les groupes de la deuxième catégorie sont spécialement conçus pour des applications particulières comme Outlook, Internet Explorer, Netscape, etc.

Les groupes de la troisième catégorie sont destinés à des fins particulières : les Applications MS-DOS (disponible sous Windows NT/2000 uniquement, ce groupe contient toutes les applications 16-bit), les Scripts Visual Basic, les applications Non restreintes et générées librement (les applications générées en tant qu'applications non restreintes, quelle que soit l'application qui les a générées). Toutes les applications générées depuis une application du groupe Applications d'installation ont le même niveau de sécurité que l'application qui les a générées. Les applications fiables doivent se trouver dans ce groupe, puisqu'elles doivent disposer d'un accès non restreint.

Remarque : pour les groupes d'Applications d'installation et d'applications Non restreintes et générées librement, tous les composants de sécurité sont désactivés, mais vous pouvez les réactiver : voir Paramètres d'exécution .

Création d'un groupe d'applications

Pour créer un groupe d'applications, choisissez Créer un groupe d'applications dans le menu Edition, ou cliquez avec le bouton droit de la souris sur un groupe d'applications existant, puis choisissez la commande dans le menu contextuel qui apparaît. La fenêtre suivante s'affiche :

Saisissez un nom convivial pour le groupe d'applications, par exemple Bureau, puis spécifiez si le groupe doit être Avec restrictions ou Sans restrictions. Vous pourrez reconfigurer le groupe d'applications ultérieurement. La fenêtre suivante apparaît, vide, lorsque vous cliquez sur Suivant :

Vous pouvez ajouter une ou plusieurs applications au groupe en cliquant sur Ajouter dans le coin supérieur droit du volet. Pour supprimer une application du volet et donc du groupe, sélectionnez-la et cliquez sur Supprimer. Enfin, cliquez sur Terminer. La fenêtre Groupes d'applications peut avoir cette apparence après la création d'un groupe d'applications appelé Bureau et comprenant par exemple WinWord.

Dans l'outil d'administration Secure4U, vous pouvez renommer le groupe d'applications dans la configuration des groupes d'applications. Pour ce faire, sélectionnez le groupe souhaité et appuyez sur la touche F2, ou bien cliquez deux fois sur le groupe. Vous ne pouvez pas renommer tous les groupes d'applications.

Ajout d'une application

Pour ajouter une application au groupe ou déplacer l'application sélectionnée vers un autre groupe, cliquez avec le bouton droit de la souris sur l'application concernée dans le volet de droite.

Remarque : si vous souhaitez ajouter une application d'un partage masqué, sélectionnez Ajouter une seule application et tapez le chemin d'accès.

Vous pouvez supprimer un groupe d'applications sélectionné après avoir cliqué dessus avec le bouton droit de la souris.

Remarque : si vous voulez supprimer un groupe d'applications, tenez compte du fait que toutes les applications qu'il contient seront traitées par le système comme des applications très restreintes (inconnues). Nous vous conseillons donc de commencer par déplacer les applications vers un groupe que vous sélectionnez.

Volet supérieur

Ce volet situé en haut à droite contient l'arborescence de répertoires et n'apparaît que si le groupe d'Applications non restreintes est sélectionné.

Si vous cliquez avec le bouton droit de la souris sur un répertoire sélectionné, un menu contextuel s'affiche. Ce menu vous permet d'ajouter toutes les applications du répertoire sélectionné, d'ajouter toutes les applications du sous-arbre ou de supprimer toutes les applications du répertoire ou du sous-arbre sélectionné, ce qui en fera des applications très restreintes.

Volet inférieur

Dans le volet inférieur, vous pouvez visualiser toutes les applications d'un groupe ou d'un répertoire sélectionné.

En cliquant sur une application avec le bouton droit de la souris, vous pouvez la déplacer vers l'un des groupes affichés dans le menu contextuel. Vous pouvez glisser-déplacer l'application sélectionnée vers un groupe du volet central.


Système

Ce composant de configuration vous permet d'énumérer et de définir des droits d'accès pour des fonctions et des composants de base du système (c.-à-d. l'accès à l'arrêt du système). Vous pouvez également restreindre les quotas de ressources d'une application en ce qui concerne le nombre de fenêtres et la quantité de mémoire allouée.

Pour configurer un composant de configuration du système, sélectionnez Système dans le volet de gauche. Trois branches s'affichent dans le volet central : Services (non disponible pour Windows 9x), Processus et Divers .


Services

Pour définir des droits d'accès à des services, sélectionnez Services dans le volet central. Les paramètres du groupe d'applications sélectionné s'affichent alors dans le volet de droite de l'outil d'administration.

Possibilités d'accès

Vous pouvez choisir entre quatre types d'accès principaux dans la partie supérieure du volet de droite :

· Accès libre, non limité

Cette option permet d'autoriser un accès libre par défaut à tous les objets du système de fichiers ou au lecteur sélectionné.

· Accès en lecture seule

Cette option permet d'autoriser un accès en lecture seule par défaut à tous les objets du système de fichiers ou au lecteur sélectionné.

· Aucun accès

Cette option permet de verrouiller l'accès par défaut à tous les objets du système de fichiers ou au lecteur sélectionné.

· Accès personnalisé

Cette option vous permet d'affiner des droits d'accès et des actions Secure4U en associant différents droits et différentes actions Secure4U à un type d'accès personnalisé . Dans la partie inférieure de la boîte de dialogue se trouvent trois onglets concernant respectivement l'accès, la surveillance et les demandes à l'utilisateur.

Cette zone contient toutes les options disponibles pour chacun des onglets. Les paramètres sont basés sur ceux utilisés sous WindowsNT/2000 pour la sécurité d'accès aux objets. L'onglet accès vous permet de préciser, en définissant des restrictions d'accès, si une application est autorisée à interagir avec un objet et la manière dont elle peut interagir. Dans l'onglet Surveiller , vous pouvez définir les actions à afficher dans la fenêtre d'activité. Enfin, dans l'onglet Demander à l'utilisateur vous pouvez définir le niveau d'interactivité (en d'autres termes, les actions pour lesquelles Secure4U doit émettre une invite avant d'entreprendre une action, c'est-à-dire avant d'exécuter une demande d'accès spécifique).

Remarque : sous Windows 9x/ME la fonction de demande à l'utilisateur n'est pas systématiquement disponible pour tous les objets.

Dans la partie droite du volet, vous pouvez préciser le mode d'application des restrictions de fichiers (vers le haut ou vers le bas dans l'arborescence de fichiers) :

  • Hériter des autorisations du parent

L'objet dispose des mêmes autorisations de sécurité que son parent. Ainsi, la modification des paramètres de sécurité du parent entraîne la modification des autorisations de sécurité de l'objet.

  • Remplacer les autorisations d'accès aux sous-objets
    • Forcer l'héritage des autorisations du parent

Toutes les autorisations d'accès au sous-arbre sont remplacées par les paramètres de sécurité du parent, et l'indicateur Hériter des autorisations du parent est défini.

    • Créer ses propres autorisations explicites

Ce paramètre permet d'empêcher tous les sous-objets (un seul niveau vers le bas) d'hériter des autorisations de sécurité de leur parent. Par conséquent, si les autorisations de sécurité sont les mêmes que celles du parent et que vous en changez les paramètres de sécurité, les autorisations du sous-arbre d'objets existants ne changent pas si vous avez créé des autorisations explicites pour ces objets.

Couleurs et étoile rouge des répertoires

La couleur d'un dossier permet d'identifer un type d'accès.

Couleur |  | Accès
 | Rouge | Aucun accès
 | Bleu | Lecture seule
 | Jaune | Total
 | Orange | Personnalisé

Le petit rectangle sur l'icône d'un dossier signale un dossier/une clé de registre n'héritant pas de la sécurité de son dossier/sa clé de registre parent(e).

La petite étoile signale que le rectangle est quelque part dans le sous-arbre du dossier/registre. Cela signifie que des paramètres différents de ceux de cet objet sont appliqués à tout ou partie des fichiers ou des dossiers se trouvant dans le sous-arbre.

Remarque : cliquez sur Définir pour appliquer les nouveaux paramètres. Après une modification, toutes les modifications apportées aux restrictions d'accès prennent effet immédiatement.

Audit

Secure4U vous permet de définir le niveau d'audit de chaque objet. Ce niveau détermine l'opération à exécuter avec les accès surveillés (par exemple l'affichage dans la fenêtre Activité, la connexion à un fichier). Plus le niveau est élevé, plus l'audit est important. Pour obtenir des informations détaillées, consultez le chapitre intitulé Audit dans Les Menus.

Possibilités d'accès

La partie inférieure du volet contient trois onglets : Accès, Surveiller et Demander à l'utilisateur. L'onglet Accès vous permet de préciser, en définissant des restrictions d'accès, si une application est autorisée à interagir avec un service et la manière dont elle peut interagir. Dans l'onglet Surveiller, vous pouvez définir les actions à surveiller. Le niveau d'audit détermine l'opération à exécuter avec les événements surveillés (par ex. l'affichage dans le fenêtre Activité, la connexion à un fichier, etc.). Enfin, dans l'onglet Demander à l'utilisateur, vous pouvez définir le niveau d'interactivité. Cela signifie que Secure4U émettra une invite avant d'exécuter une demande d'accès spécifique (pour obtenir des informations détaillées consultez le chapitre Alerte Secure4U).

Cliquez sur les indicateurs pour passer d'un accès accepté à un accès refusé et vice versa pour le groupe d'applications.

Remarque : cliquez sur Définir pour appliquer les nouveaux paramètres.

Les sept possibilités d'accès aux services sont :

  • Demander l'état d'un service
  • Démarrer un service
  • Arrêter un service
  • Supprimer un service
  • Ouvrir un service
  • Installer un service
  • Contrôler un service


Processus

La configuration de processus est similaire à la configuration de fichier. Le contrôle du volet de droite est similaire à celui décrit dans le chapitre intitulé Possibilités d'accès.

Génération dynamique

La génération dynamique signifie que l'application générée ainsi hérite de l'environnement de sécurité de l'application qui l'appelle. Exemple : vous avez reçu dans Outlook (l'application générant dynamiquement d'autres applications) un e-mail contenant un document Word. Si vous ouvrez le fichier joint, Outlook appelle le logiciel Microsoft Word et lui envoie le fichier. Microsoft Word est alors l'application générée dynamiquement.

Les possibilités d'accès à la génération dynamique sont:

  • Génération dynamique d'applications DOS

  • Génération dynamique de l'interpréteur de commandes

  • Génération dynamique de processus non résolu (l'application est introuvable)

  • Génération dynamique d'applications très restreintes (par ex. génération dynamique d'une application inconnue)

  • Génération dynamique d'applications Windows restreintes

  • Génération dynamique d'applications Windows non restreintes (l'application non restreinte hérite des droits d'accès de l'application restreinte).

  • Génération dynamique non sécurisée d'applications non restreintes (annule la fonction d'héritage à partir de la génération dynamique d'une application Windows non restreinte)

Forcer la fin du processus / thread

Lorsque vous définissez cette option, toute manipulation de thread et de processus du groupe d'applications sélectionné est restreinte conformément à la stratégie définie .

Remarque : les modifications apportées aux droits d'accès peuvent entraîner des problèmes avec les applications auxquelles vous apportez des restrictions. Si elle a trop de restrictions, une application ne s'exécutera pas.


Divers

La définition des droits d'accès divers s'effectue de manière similaire à celle des droits d'accès aux services. Dans le volet central, sélectionnez Divers pour que les droits d'accès du groupe d'applications sélectionné s'affichent dans le volet de droite de l'outil d'administration.

Sept types d'accès sont disponibles pour les groupes d'applications sélectionnés. Pour modifier un paramètre de type d'accès, cliquez avec le bouton droit de la souris et sélectionnez l'action requise dans le menu contextuel.

Paramètre | Activité Secure4U
Autoriser | Tout accès sera autorisé
Surveiller | Tout accès demandé de ce type sera surveillé
Demander à l'utilisateur | Une demande sera adressée à l'utilisateur avant l'autorisation ou le verrouillage d'un accès
Interdire | Toute demande d'accès sera automatiquement bloquée et surveillée

En plus des sept types d'accès, vous avez la possibilité de définir une mémoire et un nombre maximum Windows.

Accès à l'arrêt du système

Si cette option est acceptée, aucune demande d'arrêt du système par l'application sélectionnée n'est autorisée.

Accès bas niveau au système

Si cette option est acceptée, l'application sélectionnée n'est pas autorisée à faire plusieurs demandes inhabituelles .

Si l'accès bas niveau au système est interdit, les fonctions suivantes sont constamment verrouillées :

  • AdjustTokenPrivileges
  • SetFileSecurity
  • SetKernelObjectSecurity
  • SetServiceObjectSecurity
  • SetSecurityInfo
  • SetNamedSecurityInfo
  • SetUserObjectSecurity
  • CreateProcessAsUser
  • CreateProcessWithLogonW
  • SHCreateProcessAsUserW

Les options suivantes sont verrouillées si l'accès bas niveau au système est interdit et que l'application tente de travailler dans un autre processus que le processus appelant :

  • WriteProcessMemory
  • CreateRemoteThread
  • VirtualAllocEx
  • VirtualProtectEx

Accès dangereux à un périphérique

Si cette option est acceptée, l'application sélectionnée n'est pas autorisée à demander un droit d'accès (par ex. le reformatage du disque dur) .

Les accès suivants à un périphérique sont verrouillés :

  • Démonter un volume
  • Verrouiller un volume
  • Définir la compression
  • Déverrouiller un volume
  • Ejecter le disque amovible
  • Formater les pistes du disque
  • Charger le disque amovible
  • Supprimer le disque amovible
  • Réaffecter les blocs de disque
  • Définir la disposition des lecteurs de disque
  • Définir les informations de partition du disque
  • Vérifier le disque
  • Serial lsrmst insert

Simuler des frappes sur le clavier

Cette option permet d'empêcher une application de simuler des frappes sur le clavier et donc d'effectuer des actions destructrices sur l'ordinateur.

Accès au port de l'imprimante (LPT1)

Cette option permet d'empêcher une application d'accéder à un port d'imprimante, mais elle n'est pas disponible pour Windows 9x.

Accès au port série (COM1 et 2)

Cette option permet d'empêcher une application d'accéder à un port série, mais elle n'est pas disponible pour Windows 9x.

Mémoire maximum

En insérant un nombre, vous pouvez restreindre la quantité de mémoire que l'application peut s'octroyer. Le nombre que vous saisissez ici correspond au nombre d'octets que l'application sera autorisée à s'octroyer avant que Secure4U ne rejette les autres demandes d'affectation de mémoire du programme en question.

La limitation de la quantité de mémoire qu'une application peut utiliser permet une protection contre différentes attaques de type refus de service.

Nombre de fenêtres maximum

Cette option de sécurité vous permet de restreindre le nombre de fenêtres que l'application sélectionnée peut ouvrir. Le nombre que vous saisissez correspond au nombre de fenêtres ou de contrôles que l'application sera autorisée à ouvrir avant que Secure4U ne rejette les autres demandes d'ouverture de fenêtre du programme.

La limitation du nombre de fenêtres qu'une application peut ouvrir permet une protection contre différentes attaques de type refus de service.

Application des modifications / paramètres

Les quotas de mémoire et de fenêtres s'appliquent après le redémarrage de l'application concernée.

Remarque : cliquez sur Définir pour appliquer les nouveaux paramètres.


Sécurité des fichiers

Ce composant de configuration vous permet d'énumérer et de définir des droits d'accès au système de fichiers pour toutes les applications restreintes et inconnues . Sous Windows 9x, vous pouvez appliquer une sécurité de fichiers compatible avec la sécurité d'accès aux fichiers Windows NT/2000.

Pour définir le composant de configuration de fichier, sélectionnez Sécurité des fichiers dans le volet de gauche. Les fichiers locaux de la station de travail s'affichent dans le volet central.

Pour afficher tous les fichiers des lecteurs/dossiers, cliquez avec le bouton droit de la souris sur Lecteurs dans le volet central, puis sélectionnez Afficher les restrictions du fichier dans le menu contextuel.

Remarque : si vous modifiez l'accès à un ordinateur, cette opération va également affecter les partages masqués (qui ne sont pas affichés).

Définition des droits d'accès aux fichiers

Secure4U est livré avec des paramètres par défaut préconfigurés pour certaines applications. Ces paramètres de droits d'accès par défaut sont utilisés s'il n'y a aucun droit d'accès personnalisé. Pour modifier les droits d'accès d'une application ou d'un groupe d'applications , procédez comme suit :

Dans la branche de configuration locale de l'arborescence des composants de configuration, sélectionnez le composant Fichiers pour faire apparaître une boîte de dialogue similaire à celle représentée ci-dessous :

L'arborescence de répertoires s'affiche dans le volet central de l'outil d'administration. Sélectionnez un répertoire ou un fichier pour faire apparaître les restrictions de droit d'accès du groupe d'applications sélectionné au répertoire ou au fichier apparaissant dans le volet de droite.

Ce processus est similaire à la configuration de fichier.

Le contrôle du volet de droite est similaire à celui décrit dans le chapitre intitulé Services.

Indicateurs de sécurité Windows

Les attributs configurés correspondent aux indicateurs de sécurité de Windows NT.

  • Contrôle total : tous les accès ci-dessous.
  • Lire : affichage des données du fichier, de ses attributs, de son propriétaire et des autorisations le concernant.
  • Ecrire : écriture dans le fichier, ajout d'éléments au fichier et lecture ou modification de ses attributs.
  • Exécuter : exécution d'une application ou affichage du contenu d'un répertoire.
  • Lire les données de fichier
  • Ecrire les données de fichier
  • Supprimer : essaie de supprimer.
  • Ajouter des données : à un fichier ou ajouter un fichier à un répertoire.
  • Lire les attributs étendus
  • Ecrire les attributs étendus
  • Exécuter un fichier
  • Supprimer un enfant
  • Lire les attributs
  • Lire le contrôle : essaie de lire des informations de sécurité.
  • Ecrire le DAC : essaie de modifier la liste des contrôles d'accès conditionnels (DAC).
  • Propriétaire : changement du propriétaire de l'objet.
  • Synchroniser : permet d'utiliser les fonctions de synchronisation sur cet objet.


Sécurité du registre

Ce composant de configuration de Secure4U vous permet d'énumérer et de définir des droits d'accès à la base de données du registre pour toutes les applications . Sous Windows 9x, vous pouvez appliquer une sécurité de registre compatible avec la sécurité d'accès au Registre de Windows NT/2000.

Pour définir le composant de sécurité du registre, sélectionnez Sécurité du registre dans le volet de gauche. Le registre de la station de travail s'affiche dans le volet central.

Remarque : pour afficher toutes les valeurs du registre,, cliquez avec le bouton droit de la souris sur Registre dans le volet central puis sélectionnez l'option Afficher les restrictions de la valeur dans le menu contextuel.

Définition des droits d'accès au registre

Les paramètres de sécurité pour le registre ressemblent beaucoup à ceux de la sécurité des fichiers et se définissent de la même manière. Secure4U est livré avec des paramètres par défaut préconfigurés pour certaines applications. Ces paramètres de droits d'accès par défaut sont utilisés s'il n'y a aucun droit d'accès personnalisé. Pour changer les droits d'accès d'une application au registre , procédez comme suit :

Dans la branche de configuration locale de l'arborescence des composants de configuration, sélectionnez le composant Registre pour faire apparaître une boîte de dialogue similaire à celle représentée ci-dessous :

L'arborescence du registre s'affiche dans le volet central de l'outil d'administration de Secure4U. Sélectionnez une clé ou une valeur du registre pour afficher les restrictions des droits d'accès du groupe d'applications sélectionné.

Le processus de configuration est comparable à celui de la configuration de fichier.

Le contrôle du volet de droite est similaire à celui décrit dans le chapitre intitulé Possibilités d'accès.


Pare-feu

Secure4U contient deux composants pare-feux personnels. Cela vous permet de définir les droits d'accès d'une application sélectionnée aux ports IP et aux adresses IP.


Ports IP

Les droits d'accès Secure4U par défaut d'une application restreinte servent à interdire tout accès aux ports IP. L'accès aux ports IP non visibles dans l'outil d'administration provient de la racine du port IP (la valeur par défaut est l'interdiction). Pour changer le paramètre d'une ou plusieurs applications restreintes, procédez comme suit :

Sélectionnez Ports IP dans le volet central. Pour afficher le nombre de ports IP préconfigurés, double-cliquez sur Ports IP. Les restrictions concernant le groupe d'applications sélectionné sont affichées dans le volet de droite.

Possibilités d'accès

Vous pouvez définir l'une des options d'accès suivantes aux ports IP pour le groupe d'applications sélectionné :

Accès libre, non limité

Avec cette option, l'application sélectionnée a un accès total aux ports IP. Secure4U acceptera automatiquement toutes les demandes de cette application et n'affichera aucun message.

Sortant uniquement

L'application peut se connecter au port IP sur un ordinateur distant, mais ne peut pas agir comme un serveur en exposant le port IP au réseau.

Aucun accès

Si cette option est cochée, Secure4U bloque automatiquement et surveille toute demande d'accès aux ports provenant d'une ou plusieurs applications sélectionnées.

Accès personnalisé

Le paramétrage de l'accès, de la surveillance et de la demande à l'utilisateur est le même que celui indiqué dans le chapitre Sécurité des fichiers . Le paramètre de sécurité Sortant correspond à la connexion à un port sur une ordinateur différent. Entrant permet de connecter d'autres ordinateurs à un port exposé par cette application.

Niveau d'audit

Vous pouvez définir le niveau d'audit pour chaque port. Pour obtenir des informations détaillées, consultez le chapitre intitulé Audit dans Les menus .

Remarque : cliquez sur Définir pour appliquer les nouveaux paramètres. Toutes les modifications de restriction d'accès aux ports IP prennent effet immédiatement après une modification.

Création d'une entrée de port IP

Secure4U permet de créer des restrictions d'accès spécifiques à un port IP ou une série de ports IP ne se trouvant pas dans l'arborescence de composants. Pour ajouter l'entrée d'un numéro de port, cliquez avec le bouton droit de la souris sur la racine du composant Ports IP dans le volet de l'arborescence.

Un menu contextuel s'affiche contenant deux options : Ajouter un seul port et Ajouter une série de ports. Sélectionnez l'une d'elles. Une boîte de dialogue s'affiche, vous permettant de préciser le numéro du nouveau port ou de la nouvelle série de ports.

Cliquez sur Ajouter pour confirmer vos paramètres et ajouter le nouveau port/la nouvelle série de ports dans l'arborescence.

Vous pouvez maintenant définir des droits d'accès spécifiques à ce port IP pour chacun des groupes d'applications restreintes.

Suppression d'une entrée de port IP

Vous avez également la possibilité de supprimer un port IP ou une série de ports IP. Cliquez avec le bouton droit de la souris pour afficher un menu contextuel proposant l'option Supprimer les restrictions explicites. Sélectionnez-la pour supprimer le port IP.


Adresses IP

Pour restreindre le droit d'accès d'un utilisateur à certaines adresses IP , vous pouvez définir des plages d'adresses IP dans Secure4U.

Pour changer le paramètre d'une ou plusieurs applications restreintes, procédez comme suit :

Sélectionnez le composant Adresse IP dans le volet central. Les restrictions concernant le groupe d'applications sélectionné apparaissent dans le volet de droite.

Si vous cliquez avec le bouton droit de la souris sur le composant Adresses IP un menu contextuel s'affiche contenant deux options : Ajouter une plage d'adresses et Supprimer toutes les plages.

Ajouter une plage d'adresses

La boîte de dialogue suivante s'affiche si vous sélectionnez l'option Ajouter une plage d'adresses :

Vous pouvez alors insérer la plage IP appropriée ou sélectionner Nom d'hôte pour que Secure4U récupère l'adresse IP concernée à partir d'Internet (il est bien entendu que cette opération ne peut s'effectuer que si l'ordinateur a accès à Internet).

Vous pouvez définir l'une des options de droit d'accès suivantes à la plage d'adresses IP spécifiée pour le groupe d'applications sélectionné : Autoriser tout accès, Surveiller l'accès, Demander à l'utilisateur pour l'accès interactif et Interdire absolument tout accès. Ces commandes sont similaires à celles décrites plus haut dans la section sur les options diverses pour le système (SYSTEME - Divers).

Vous pouvez définir le niveau d'audit. Pour obtenir des informations détaillées, consultez le chapitre intitulé Audit sous Les menus .

Supprimer toutes les plages

Vous ne pouvez actuellement que supprimer toutes les plages IP en une seule fois.

Remarque : toutes les modifications de ce composant de configuration Secure4U prennent effet immédiatement.


Analyse antivirus

Secure4U offre une protection contre du code mobile nuisible ou des "virus modernes". Ces applications sont en fait capables de faire plus de mal que les virus au sens traditionnel comme I Love You et Back Orifice. Secure4U contrôle les droits d'accès d'une application spécifique. C'est pourquoi il ne permet pas de combattre les virus qui corrompent des fichiers "dans" l'application, c'est-à-dire des virus infectant uniquement des fichiers Word "dans" l'application WinWord. Vous devez donc toujours utiliser un antivirus avec Secure4U. Une fois installé correctement, Secure4U communiquera avec l'antivirus sur votre station de travail via des paramètres de ligne de commande. Pour l'installer sur votre ordinateur, sélectionnez l'icône d'analyse antivirus parmi les groupes d'administration affichés dans le volet de gauche.

Recherche d'antivirus installés

Au cours de l'installation, l'outil d'administration Secure4U effectue une vérification complète du système de fichiers pour y trouver tous les antivirus pouvant être utilisés par Secure4U.

Sélection d' un antivirus

La liste contient l'ensemble des antivirus préconfigurés pour Secure4U.

Ce dernier prend en charge les antivirus du marché le plus couramment utilisés. Vous trouverez une liste d'antivirus pouvant être utilisés pour l'analyse antivirus automatique d'archives, de composants et de documents entrants dans la partie consacrée au support sur le site Web de Secure4U (http://www.Secure4U.com).

De plus, des antivirus personnalisés par l'utilisateur peuvent être utilisés avec des paramètres de ligne de commande.

Remarque : il n'est pas nécessaire d'utiliser Secure4U avec un antivirus. Les deux applications fonctionneront indépendamment l'une de l'autre.

Les antivirus pour lesquels Secure4U est préconfiguré mais qui ne se trouvent pas sur votre ou vos disques durs apparaissent en grisé dans la liste des antivirus disponibles.

Si vous cliquez avec le bouton droit de la souris sur l'un des antivirus énumérés, un menu contextuel s'affiche contenant les options suivantes :

Ajouter un nouvel antivirus

Supprimer la configuration sélectionnée

Propriétés

Exécution test

Configuration d'un antivirus

Si vous sélectionnez l'option Propriétés dans le menu contextuel, une boîte de dialogue, comparable à celle représentée ci-dessous, s'affiche (selon l'antivirus sélectionné) :

Celle-ci vous permet de vérifier les paramètres utilisés pour appeler l'antivirus sélectionné .

Création d'un antivirus personnalisé

Si vous souhaitez que Secure4U appelle l'antivirus avec des paramètres différents ou si vous souhaitez ajouter un antivirus , cliquez sur Ajouter un nouvel antivirus dans le menu contextuel.

Remarque : pour une configuration personnalisée, vous ne pouvez utiliser que des antivirus exécutables avec les paramètres d'une ligne de commande. En outre, l'antivirus doit fournir une valeur de retour pour indiquer à Secure4U l'état du ou des fichiers vérifiés.

Dans la boîte de dialogue, vous pouvez ajouter les paramètres utilisés pour votre antivirus. Pour les connaître, contactez le développeur ou le revendeur de votre antivirus.

Remarque : les modifications prennent effet immédiatement.


Mode Apprentissage

Le mode Apprentissage permet de créer des groupes de sécurité pour de nouvelles applications. Une fois le processus du mode d'apprentissage lancé, un suivi de toutes les requêtes et demandes provenant du registre, d'un fichier, d'un port, etc. est effectué.

Pour utiliser le mode Apprentissage, vous devez commencer par nommer le groupe d'applications que vous allez créer. Ainsi, vous pourrez sélectionner le groupe et activer le mode Apprentissage.

Durant l'utilisation de ce mode, vous devez effectuer toutes les actions que vous envisagez d'accomplir ultérieurement avec l'application. Pour quitter le mode Apprentissage, cliquez sur le bouton Arrêter.

Une fois que vous avez quitté ce mode, il vous est demandé si vous souhaitez créer un autre groupe. Après avoir créé le groupe, vous devez en vérifier les paramètres. Plus vous laissez le mode Apprentissage actif et "en apprentissage", plus il est efficace.

Remarque : des accès à un seul fichier sont actuellement enregistrés. N'oubliez donc pas qu'il est préférable de définir un accès en écriture à un répertoire dans la partie "Sécurité des fichiers" de l'outil d'administration une fois que vous avez quitté ce mode..

Remarque : un fichier texte de format spécial est également créé dans un sous-répertoire "Mode Apprentissage" sous le répertoire d'installation.


Filtrage de contenu

Sélectionnez la barre de Filtrage de contenu dans le volet de gauche de l'outil d'administration pour afficher les outils de configuration de cache, de cookie et de filtrage. Sept groupes d'administration s'affichent dans la fenêtre de gauche.

  • Configuration de cache
  • Editeur de cache
  • Configuration des cookies
  • Editeur de cookies
  • URL tapées
  • Filtrage du contenu WWW
  • Filtrage des e-mail
Cache correspond aux fichiers HTML et GIF affichés par votre navigateur lorsque vous accédez à une page Web par exemple. Le contenu d'un cache est téléchargé et stocké automatiquement dans votre ordinateur avec tous les composants de la page Web. En règle générale, chaque fichier entrant dans votre ordinateur est stocké dans un fichier cache spécifique. Si vous ne les supprimez pas régulièrement, les caches peuvent prendre une grande quantité de mémoire. En outre, un suivi de vos sessions Internet peut être effectué grâce aux fichiers cache, ce qui constitue une menace pour votre vie privée.

Les cookies sont des fichiers texte, et non des programmes, écrits sur le lecteur local d'un ordinateur client accédant à un site Web. Ils sont utilisés avec les sites Web pour emmagasiner des informations permettant de suivre l'activité d'un utilisateur. N'étant pas des exécutables, les cookies ne peuvent pas s'exécuter eux-mêmes et lancer une attaque. Mais il est possible de récupérer avec n'importe quel autre site Web les informations stockées par un cookie via un contrôle de script ou un contrôle ActiveX. Outre l'atteinte à la vie privée que leur utilisation engendre, ces informations confidentielles peuvent servir à surveiller votre comportement, recueillir des mots de passe, etc. susceptibles d'être utilisés à des fins délictueuses.


Configuration de cache

Le gestionnaire de configuration de cache permet de supprimer automatiquement du fichier cache du navigateur les informations sur une session. A partir du volet de Configuration, vous pouvez enregistrer un cache d'une URL particulière ou de toutes les URL.

Vous pouvez également ajouter la ou les URL à ne pas supprimer (dans l'exemple ci-dessus, il s'agit de www.Secure4U.com) à la fin d'une session. Pour qu'aucun cache ne soit supprimé, vous devez cocher la case de l'option Ne pas supprimer de cache.


Editeur de cache

La fenêtre suivante s'affiche lorsque vous sélectionnez l'option Editeur de cache :

Si vous utilisez plusieurs navigateurs Web, vous pouvez sélectionner celui qui doit afficher le cache dans l'Editeur de cache ainsi que l'utilisateur à partir duquel le navigateur doit être utilisé. Le choix du navigateur et de l'utilisateur s'effectue à partir des listes déroulantes correspondantes.

Les informations concernant le cache sont affichées dans les quatre colonnes de la partie inférieure de la fenêtre :

  • Nom du fichier local
  • URL source
  • Dernier accès
  • Taille du fichier

Si vous sélectionnez puis cliquez avec le bouton droit de la souris sur un fichier mis en cache, un menu contextuel s'affiche contenant les commandes suivantes :

  • Exécuter

  • Supprimer les éléments sélectionnés

  • Supprimer tous les éléments de la liste

  • Propriétés

Exécuter

Utilisez cette commande pour ouvrir le fichier.

Supprimer les éléments sélectionnés

Utilisez cette commande pour supprimer définitivement les éléments sélectionnés.

Supprimer tous les éléments de la liste

Utilisez cette commande pour supprimer définitivement tous les éléments de la liste.

Propriétés

Utilisez cette commande pour ouvrir une boîte de dialogue contenant les propriétés du fichier mis en cache. Exemple :

Afficher un filtre

Si vous cochez la case de l'option Afficher un filtre, le répertoire du filtre s'affiche dans un nouveau volet sur la gauche. Sélectionnez le dossier de filtre pour afficher une liste de plusieurs dossiers :

  • Texte
  • Application
  • Audio
  • Image
  • Vidéo
  • Message

Chaque dossier contient plusieurs fichiers avec différentes extensions qui apparaissent lorsqu'il est ouvert. Si vous cliquez sur un fichier, seul le cache correspondant à son extension apparaît dans le volet central.

Remarque : à la fin de la session les règles de suppression de cache prennent effet et les fichiers cache sont supprimés.


Configuration des cookies

Si un cookie tente de s'installer dans votre ordinateur, le gestionnaire de cookies de Secure4U consulte la liste des cookies configurés pour savoir si l'URL/le site d'où vient le cookie est enregistré(e) ou non. Il exécute alors l'opération définie pour le site selon la stratégie déterminée. Ce gestionnaire permet également de supprimer automatiquement tous les cookies à la fin d'une session. En outre, à partir du volet de configuration des cookies, vous pouvez enregistrer un cookie provenant d'une URL particulière ou de toutes les URL. Lorsque vous sélectionnez le composant Configuration de cookies dans l'arborescence des composants de configuration, la fenêtre suivante s'affiche :

Le volet de configuration des cookies ressemble à celui de la configuration de cache. Vous pouvez y ajouter la ou les URL pour lesquelles Secure4U devra exécuter une opération si un cookie est téléchargé à partir du site correspondant. Si vous cliquez avec le bouton droit de la souris sur une URL en bas de la fenêtre, un menu contextuel s'affiche proposant les commandes suivantes :

  • Supprimer
    Supprime l'URL de la liste.

  • Jamais
    Tous les cookies provenant de cette URL/ce site sont bloqués automatiquement. Aucun cookie provenant de cette URL/ce site n'est accepté.

  • Toujours
    Tous les cookies provenant de cette URL/ce site sont enregistrés automatiquement dans votre ordinateur.

Vous pouvez visualiser dans la fenêtre d'activité l'action entreprise par Secure4U.

Cocher la case de l'option Supprimer tous les cookies à la fin de la session vous permet d'être sûr que tous les cookies seront supprimés à la fin de la session.

Si l'option Ne pas demander à l'utilisateur pour les cookies est activée dans le volet de configuration des cookies de l'outil d'administration Secure4U (la même fonction existe dans Internet Explorer par exemple), les cookies seront acceptés automatiquement sauf ceux définis à "jamais".

Activer l'option Appliquer de façon permanente à cet objet vous permet d'être sûr que tous les cookies seront acceptés à l'exception de ceux marqués avec "jamais".


Editeur de cookies

Si vous sélectionnez le composant Editeur de cookies dans l'arborescence des composants de configuration, la fenêtre suivante s'affiche :

Si vous utilisez plusieurs navigateurs Web, vous pouvez sélectionner celui qui doit afficher les cookies stockés dans l'Editeur de cookies ainsi que l'utilisateur à partir duquel le navigateur doit être utilisé. Le choix du navigateur et de l'utilisateur s'effectue à partir des listes déroulantes correspondantes.

Les informations concernant les cookies sont affichées dans les quatre colonnes en bas de la fenêtre :

  • Nom du cookie
  • URL
  • Dernier accès
  • Valeur du cookie

Si vous sélectionnez puis cliquez avec le bouton droit de la souris sur un cookie, un menu contextuel s'affiche contenant les trois commandes suivantes :

  • Supprimer les éléments sélectionnés

  • Supprimer tous les éléments de la liste

  • Propriétés

Supprimer les éléments sélectionnés

Utilisez cette commande pour supprimer définitivement les éléments sélectionnés.

Supprimer tous les éléments de la liste

Utilisez cette commande pour supprimer définitivement tous les éléments de la liste.

Propriétés

Utilisez cette commande pour ouvrir une boîte de dialogue contenant les propriétés du fichier de cookie. Cette boîte de dialogue est similaire à celle contenant les propriétés des fichiers mis en cache.

Mode Auto-apprentissage

L'adresse exacte est nécessaire pour utiliser la résolution d'URL afin que le cookie provenant d'un site spécifique soit correctement bloqué.

Mais de nombreux sites Internet utilisent des URL différentes de leur adresse "personnelle" réelle pour placer des cookies. C'est pourquoi, comme une sorte de mode d'auto-apprentissage la fenêtre d'alerte s'affiche dans Secure4U si un nouveau site tente de placer un cookie dans l'ordinateur.

Si vous sélectionnez l'option Appliquer de façon permanente à cet objet le cookie est ajouté à la liste du gestionnaire de cookies.

Sinon, les paramètres ne sont utilisés que pour le cookie actif. Nous vous conseillons de ne pas utiliser cette option si des mots de passe ou ID-utilisateur sont enregistrés dans un cookie via un site.

Si Secure4U bloque le placement d'un cookie ou si l'a création d'un cookie est autorisée automatiquement / par l'utilisateur, vous serez informé de chacune de ces actions grâce à la fenêtre d'activité.

Tous les cookies se trouvant actuellement dans votre ordinateur sont affichés en bas de la fenêtre d'activité.

Pour supprimer un cookie de la liste ou en afficher les propriétés, cliquez dessus avec le bouton droit de la souris.

Suppression de cookies

Vous pouvez supprimer un cookie soit à partir du gestionnaire de cookies dans l'outil d'administration comme indiqué ci-dessus, soit à partir de la fenêtre d'activité. Pour supprimer un cookie à partir de la fenêtre d'activité sur votre ordinateur, sélectionnez le cookie et cliquez avec le bouton droit de la souris, puis choisissez supprimer dans le menu contextuel. Le cookie est alors supprimé physiquement (définitivement). Pour obtenir des informations supplémentaires, reportez-vous aux sections relatives à la fenêtre d'activité.

Remarque : toutes les modifications de ce composant de configuration prennent effet immédiatement.


URL tapées

La fenêtre des URL tapées ressemble à celles du contenu de cache et des cookies. Si vous sélectionnez ce composant, la fenêtre suivante apparaît :

Si vous sélectionnez puis cliquez avec le bouton droit de la souris sur une URL tapée, un menu contextuel s'affiche contenant les deux commandes suivantes :

  • Supprimer les éléments sélectionnés

  • Supprimer tous les éléments de la liste

Supprimer les éléments sélectionnés

Cette commande permet de supprimer l'URL tapée sélectionnée.

Supprimer tous les éléments de la liste

Utilisez cette commande pour supprimer définitivement tous les éléments de la liste.

Remarque : toutes les modifications prennent effet immédiatement.


Filtrage du contenu WWW

Du fait de la grande quantité d'informations inutiles sur Internet, le filtrage de contenu WWW a été créé pour déterminer le contenu provenant du Web qui doit être affiché et celui qui ne doit pas l'être.

Ce service permet de censurer les pages Web contenant certains mots, sujets ou idées. Par exemple, si vous ne souhaitez pas que quelqu'un visite un site Web contenant les termes "sexe" ou "jeux", vous pouvez ajouter ces termes dans une liste de filtrage. Si une personne tente de visiter un tel site pour télécharger de nouveaux jeux ou visualiser un mauvais contenu, l'accès au site lui est refusé.

Remarque : le filtrage de contenu est inactif si aucun mot n'est précisé pour cette opération.


Filtrage des e-mail

Le filtrage d'e-mail sert à contrôler et à accéder à un courrier inutile ou délicat. Avec ce mode, une personne peut sélectionner certains termes pouvant être critiques comme "confidentiel", "privé", "sexe", etc. Une fois sélectionnés, les documents d'e-mail contenant ces termes ne pourront être envoyés.

D'autre part, le filtrage d'e-mail permet d'envoyer un e-mail contenant des informations confidentielles uniquement à certaines adresses précisées dans votre "liste de confiance". Cette liste peut contenir les noms d'employés de l'entreprise. Vous pouvez ainsi transmettre en interne des documents contenant des informations cruciales.

Exemple : pour pouvoir envoyer un e-mail à des employés de votre entreprise (JoeSmith@yourcompany.com et MaryJones@yourcompany.com), tapez l'adresse yourcompany.com. L'e-mail pourra ainsi être envoyé aux employés au sein de votre entreprise.